Skip to main content
Retrieve Customer's Info
SEP-6 SEP-12 SEP-31

Query Parameters

id
string

The ID of the customer as returned in the response of a previous PUT request.

account
string

The Stellar or Muxed Account authenticated with the Platform via SEP-10.

memo
string

The memo value identifying a customer with a shared account, where the shared account is account.

memo_type
enum<string>

The type of memo used to identify a customer with a shared account.

Available options:
id,
hash,
text
type
string

The type of action the customer is being KYCd for. See the Type Specification documented in SEP-12.

transaction_id
string

The transaction id with which the customer's info is associated. When information from the customer depends on the transaction (e.g., more information is required for larger amounts)

lang
string

Defaults to en. Language code specified using ISO 639-1. Human readable descriptions, choices, and messages should be in this language.

Response

Valid request. Customer either already exists or the customer identified by the parameters is new and must provide the field values described in the response body. Response bodies are identical to the schema defined in SEP-12.

status
enum<string>
required
Available options:
ACCEPTED,
PROCESSING,
NEEDS_INFO,
REJECTED
id
string
fields
object
provided_fields
object
message
string